import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubTreeConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/tree#recursive DataGithubTree#recursive}
    */
    readonly recursive?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/tree#repository DataGithubTree#repository}
    */
    readonly repository: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/tree#tree_sha DataGithubTree#tree_sha}
    */
    readonly treeSha: string;
}
export declare class DataGithubTreeEntries extends cdktf.ComplexComputedList {
    get mode(): string;
    get path(): string;
    get sha(): string;
    get size(): number;
    get type(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/tree github_tree}
*/
export declare class DataGithubTree extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/tree github_tree} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubTreeConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubTreeConfig);
    entries(index: string): DataGithubTreeEntries;
    get id(): string;
    private _recursive?;
    get recursive(): boolean | cdktf.IResolvable;
    set recursive(value: boolean | cdktf.IResolvable);
    resetRecursive(): void;
    get recursiveInput(): boolean | cdktf.IResolvable | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    private _treeSha?;
    get treeSha(): string;
    set treeSha(value: string);
    get treeShaInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
